﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DAL.Interfaces;
using DAL.Migrations;
using Domain;

namespace DAL
{
    public class PraxDbContext : DbContext, IDbContext
    {
        public PraxDbContext() : base("DbConnectionString")
        {
            Database.SetInitializer(
                new MigrateDatabaseToLatestVersion<PraxDbContext, MigrationConfiguration>());
#if DEBUG
            Database.Log = s => Trace.Write(s);
#endif
        }

        public DbSet<Person> Persons { get; set; }
        public DbSet<Contact> Contacts { get; set; }
        public DbSet<ContactType> ContactTypes { get; set; }


    }
}
